Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Crestron.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2021 Raritan Inc. All rights reserved.
4 */
5
6/**
7 * Device Settings
8 */
9module devsettings {
10 /** Crestron settings interface */
11 interface Crestron {
12
13 /** Crestron settings */
14 structure Settings {
15 boolean enableXioCloudConnection; ///< Enable connection to crestron XiO cloud
16 };
17
18 /**
19 * Retrieve the Crestron settings.
20 *
21 * @return Crestron settings
22 */
23 Settings getSettings();
24
25 /**
26 * Set the Crestron settings.
27 *
28 * @param settings New Crestron settings
29 */
30 void setSettings(in Settings settings);
31 };
32}
33
devsettings::Crestron
Crestron settings interface.
Definition Crestron.idl:11
devsettings::Crestron::setSettings
void setSettings(in Settings settings)
Set the Crestron settings.
devsettings::Crestron::getSettings
Settings getSettings()
Retrieve the Crestron settings.
devsettings
Device Settings.
Definition Crestron.idl:9
devsettings::Crestron::Settings
Crestron settings.
Definition Crestron.idl:14
devsettings::Crestron::Settings::enableXioCloudConnection
boolean enableXioCloudConnection
Enable connection to crestron XiO cloud.
Definition Crestron.idl:15